Skip to main content
POST
/
api
/
{projectId}
/
deployment
/
public
/
build
Build deployment (public)
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/public/build \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "deploymentType": "<string>"
}
'
{
  "success": true,
  "deploymentVersion": 123,
  "error": "<string>",
  "jobId": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Body

application/json
deploymentType
string
required
modelType
enum<string>
required
Available options:
int8,
float32,
akida

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

deploymentVersion
integer
required

Deployment version. Use downloadHistoricDeployment to download the deployment using this identifier (once the job is finished).

error
string

Optional error description (set if 'success' was false)

jobId
integer

Set if a job was created (or was already running) for this deployment. Use this ID to poll to the job logs via 'GetPublicDeploymentStatusResponse'.